package de.intevation.flys.client.client.ui;

import com.smartgwt.client.widgets.Button;
import com.smartgwt.client.widgets.events.ClickEvent;
import com.smartgwt.client.widgets.events.ClickHandler;
import com.smartgwt.client.widgets.events.CloseClickHandler;
import com.smartgwt.client.widgets.events.CloseClientEvent;

import de.intevation.flys.client.shared.model.Artifact;
import de.intevation.flys.client.shared.model.User;


public class DatacageButton extends Button implements ClickHandler {

    protected Artifact artifact;
    protected User     user;

    public DatacageButton(String title, Artifact artifact, User user) {
        super(title);

        this.artifact = artifact;
        this.user     = user;

        addClickHandler(this);
    }


    public void onClick(ClickEvent event) {
        final DatacageWindow dc = new DatacageWindow(artifact, user);
        dc.addCloseClickHandler(new CloseClickHandler() {
            public void onCloseClick(CloseClientEvent event) {
                dc.destroy();
            }
        });
        dc.show();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
