package de.intevation.flys.client.shared.model;

import java.util.Map;
import java.util.HashMap;

import java.io.Serializable;

public class ToLoad implements Serializable
{
    protected Map<String, Map<String, ArtifactFilter>> artifacts;

    public ToLoad() {
        artifacts = new HashMap<String, Map<String, ArtifactFilter>>();
    }

    public void add(
        String artifactName,
        String factory,
        String out,
        String name,
        String num
    ) {
        if (artifactName == null) artifactName = "";
        if (out          == null) out          = "";

        Map<String, ArtifactFilter> artifact = artifacts.get(artifactName);

        if (artifact == null) {
            artifact = new HashMap<String, ArtifactFilter>();
            artifacts.put(artifactName, artifact);
        }

        ArtifactFilter filter = artifact.get(factory);
        if (filter == null) {
            filter = new ArtifactFilter(factory);
            artifact.put(factory, filter);
        }

        filter.add(out, name, num);
    }

    public boolean isEmpty() {
        return artifacts.isEmpty();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
